<?php



namespace app\common\model\system\merchant;

use app\common\model\BaseModel;

class MerchantApplyments extends BaseModel
{
    const IDCARD = 'IDENTIFICATION_TYPE_MAINLAND_IDCARD';   //：中国大陆居民-身份证
    const PASSPORT = 'IDENTIFICATION_TYPE_OVERSEA_PASSPORT';  //：其他国家或地区居民-护照
    const HONGKONG = 'IDENTIFICATION_TYPE_HONGKONG';          //：中国香港居民–来往内地通行证
    const MACAO = 'IDENTIFICATION_TYPE_MACAO';             //：中国澳门居民–来往内地通行证
    const TAIWAN = 'IDENTIFICATION_TYPE_TAIWAN';            //：中国台湾居民–来往大陆通行证

    /**
     * TODO
     * @return string
     * @author Qinii
     * @day 6/22/21
     */
    public static function tablePk(): string
    {
        return 'mer_applyments_id';
    }

    /**
     * TODO
     * @return string
     * @author Qinii
     * @day 6/22/21
     */
    public static function tableName(): string
    {
        return 'merchant_applyments';
    }

    public function merchant()
    {
        return $this->hasOne(Merchant::class,'mer_id','mer_id');
    }

    public function searchOutRequestNoAttr($query,$value)
    {
        $query->where('out_request_no',$value);
    }

    public function searchKeywordAttr($query,$value)
    {
        $query->whereLike('mer_name',"%{$value}%");
    }

    public function searchMerIdAttr($query,$value)
    {
        $query->where('mer_id',$value);
    }

    public function searchStatusAttr($query,$value)
    {
        $query->where('status',$value);
    }

    public function searchDateAttr($query,$value)
    {
        getModelTime($query,$value);
    }

    public function searchMerApplymentsIdAttr($query,$value)
    {
        $query->where('mer_applyments_id',$value);
    }
}
